# Retrieve insert options

Fetches the list of possible templates which are compatible insert options for a page.

Endpoint: GET /api/v1/pages/{pageId}/insertoptions
Version: v1
Security: Bearer

## Path parameters:

  - `pageId` (string, required)
    The page identifier.
    Example: "8f0b81bc-7388-46be-b109-6e73d1114470"

## Query parameters:

  - `site` (string, required)
    The site identifier.
    Example: "3875AC96-8ECF-44AE-8E25-851068B373CE"

  - `language` (string, required)
    The page language.
    Example: "en-US"

  - `insertOptionKind` (string, required)
    The type of object to retrieve (Page or Folder).
    Example: "Page"

  - `environmentId` (string)
    The identifier of the environment.
    Example: "main"

## Response 200 fields (application/json):

  - `id` (string,null)
    Template ID
Example value: 6fe7d655-1e3d-4c27-8010-5777f06c6c4f
    Example: "6fe7d655-1e3d-4c27-8010-5777f06c6c4f"

  - `displayName` (string,null)
    Template display name
Example value: Page
    Example: "Page"

  - `templateType` (string)
    The type of template.
    Enum: "ItemTemplate", "BranchTemplate"

## Response 400 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.


